Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\SignalSlot\URLWildcardService Class Reference

URLWildcardService class. More...

Inheritance diagram for eZ\Publish\Core\SignalSlot\URLWildcardService:

## Public Member Functions
| __construct (URLWildcardServiceInterface $service, SignalDispatcher $signalDispatcher)
| Constructor. More...
| create ($sourceUrl, $destinationUrl, $forward=false)
| Creates a new url wildcard. More...
| remove (URLWildcard $urlWildcard)
| removes an url wildcard. More...
| load ($id)
| Loads a url wild card. More...
| loadAll ($offset=0, $limit=-1)
| Loads all url wild card (paged). More...
| translate ($url)
| translates an url to an existing uri resource based on the source/destination patterns of the url wildcard. More...

## Protected Attributes
| $service
| $signalDispatcher

## Detailed Description

URLWildcardService class.

Definition at line 18 of file Core/SignalSlot/URLWildcardService.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\SignalSlot\URLWildcardService::__construct | ( | URLWildcardServiceInterface | $service,
|  | SignalDispatcher | $signalDispatcher
| ) |  |

Constructor.

Construct service object from aggregated service and signal dispatcher

Parameters

  \eZ\Publish\API\Repository\URLWildcardService | $service |
  \eZ\Publish\Core\SignalSlot\SignalDispatcher | $signalDispatcher |

Definition at line 43 of file Core/SignalSlot/URLWildcardService.php.

References eZ\Publish\Core\SignalSlot\URLWildcardService\$service, and eZ\Publish\Core\SignalSlot\URLWildcardService\$signalDispatcher.

## Member Function Documentation

## ◆ create()

eZ\Publish\Core\SignalSlot\URLWildcardService::create | ( |  | $sourceUrl,
|  |  | $destinationUrl,
|  |  | $forward = `false`
| ) |  |

Creates a new url wildcard.

Exceptions

Implements eZ\Publish\API\Repository\URLWildcardService.

Definition at line 64 of file Core/SignalSlot/URLWildcardService.php.

## ◆ load()

eZ\Publish\Core\SignalSlot\URLWildcardService::load | ( |  | $id | ) |

Loads a url wild card.

Exceptions

Implements eZ\Publish\API\Repository\URLWildcardService.

Definition at line 108 of file Core/SignalSlot/URLWildcardService.php.

## ◆ loadAll()

eZ\Publish\Core\SignalSlot\URLWildcardService::loadAll | ( |  | $offset = `0`,
|  |  | $limit = `-1`
| ) |  |

Loads all url wild card (paged).

Parameters

  int | $offset |
  int | $limit |

Returns
  \eZ\Publish\API\Repository\Values\Content\UrlWildcard[]

Implements eZ\Publish\API\Repository\URLWildcardService.

Definition at line 121 of file Core/SignalSlot/URLWildcardService.php.

## ◆ remove()

eZ\Publish\Core\SignalSlot\URLWildcardService::remove | ( | URLWildcard | $urlWildcard | ) |

removes an url wildcard.

Exceptions

Implements eZ\Publish\API\Repository\URLWildcardService.

Definition at line 85 of file Core/SignalSlot/URLWildcardService.php.

## ◆ translate()

eZ\Publish\Core\SignalSlot\URLWildcardService::translate | ( |  | $url | ) |

translates an url to an existing uri resource based on the source/destination patterns of the url wildcard.

If the resulting url is an alias it will be translated to the system uri.

This method runs also configured url translations and filter

Exceptions

Implements eZ\Publish\API\Repository\URLWildcardService.

Definition at line 139 of file Core/SignalSlot/URLWildcardService.php.

## Member Data Documentation

## ◆ $service

eZ\Publish\Core\SignalSlot\URLWildcardService::$service
| protected

Definition at line 25 of file Core/SignalSlot/URLWildcardService.php.

Referenced by eZ\Publish\Core\SignalSlot\URLWildcardService\__construct().

## ◆ $signalDispatcher

eZ\Publish\Core\SignalSlot\URLWildcardService::$signalDispatcher
| protected

Definition at line 32 of file Core/SignalSlot/URLWildcardService.php.

Referenced by eZ\Publish\Core\SignalSlot\URLWildcardService\__construct().

The documentation for this class was generated from the following file:

- Core/SignalSlot/URLWildcardService.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.